"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.loadLocale = exports.SetLocaleLink = exports.LocaleProvider = exports.listeners = exports.services = exports.reducers = void 0;

var _LocaleProvider = _interopRequireDefault(require("./LocaleProvider"));

exports.LocaleProvider = _LocaleProvider["default"];

var _SetLocaleLink = _interopRequireDefault(require("./SetLocaleLink"));

exports.SetLocaleLink = _SetLocaleLink["default"];

var _locale = require("./locale.service");

exports.loadLocale = _locale.loadLocale;

/**
 * Locale Service
 * ============================
 *
 * - loads and caches languages definitions
 * - provides `react-intl` context to the app
 *   and switches language automatically
 *
 * NOTE: you must provide the list of locales that your app intend to use
 * before you render the app itself:
 * https://github.com/yahoo/react-intl/wiki#loading-locale-data
 *
 */
var reducers = {
  locale: require('./locale.reducer')["default"]
};
exports.reducers = reducers;
var services = [require('./locale.service')];
exports.services = services;
var listeners = []; // application wrapper that provided `intl` context

exports.listeners = listeners;